LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
DispatchRecorderSupplier Service Referencepublished

provides a DispatchRecorder More...

`import"DispatchRecorderSupplier.idl";`

Inheritance diagram for DispatchRecorderSupplier:

## Additional Inherited Members
Public Member Functions inherited from XDispatchRecorderSupplier
void | setDispatchRecorder ([in] com::sun::star::frame::XDispatchRecorder Recorder)
| set a dispatch recorder on this supplier More...
com::sun::star::frame::XDispatchRecorder | getDispatchRecorder ()
| provides access on the recorder of this supplier More...
void | dispatchAndRecord ([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments, [in] XDispatch Dispatcher)
| dispatch given URL and record it if recording is enabled More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a DispatchRecorder

This supplier regulate macro recording of XDispatch::dispatch() calls. For that it encapsulates a reference to a DispatchRecorder. Such recorder is used internally and can be used externally too. A supplier will be available on a Frame if recording was enabled, otherwise not. A frame supports a special property for that. This modular concept of recorder, supplier and frame makes it possible to implement local recording on one frame; global recording by using all currently opened frames or only some of them; and so on.

See also
  DispatchRecorder
  Frame

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/frame/DispatchRecorderSupplier.idl